%define major	4
%define libname	%mklibname xmp %{major}
%define devname	%mklibname xmp -d

Name:		libxmp
Summary:	Extended Module Player Library
Version:	4.5.0
Release:	%mkrel 3
License:	BSD and LGPLv2+ and MIT and Public Domain
Group:		System/Libraries
Url:		http://xmp.sourceforge.net/
Source0:	https://download.sourceforge.net/xmp/%{name}-%{version}.tar.xz

%description
Libxmp is a library that renders module files to PCM data. It supports
over 90 mainstream and obscure module formats including Protracker (MOD),
Scream Tracker 3 (S3M), Fast Tracker II (XM), and Impulse Tracker (IT).

Many compressed module formats are supported, including popular Unix, DOS,
and Amiga file packers including gzip, bzip2, SQSH, Powerpack, etc.

%package -n %{libname}
Summary:	Extended Module Player Library
Group:		System/Libraries

%description -n %{libname}
Libxmp is a library that renders module files to PCM data. It supports
over 90 mainstream and obscure module formats including Protracker (MOD),
Scream Tracker 3 (S3M), Fast Tracker II (XM), and Impulse Tracker (IT).

Many compressed module formats are supported, including popular Unix, DOS,
and Amiga file packers including gzip, bzip2, SQSH, Powerpack, etc.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	xmp-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q

# non UTF-8 file
mv docs/Changelog docs/Changelog.old
iconv -f ISO-8859-1 -t UTF-8 -o docs/Changelog docs/Changelog.old

%build
%configure2_5x
%make_build

%install
rm -rf %buildroot
%make_install

# man page
install -Dpm644 docs/libxmp.3 %{buildroot}%{_mandir}/man3/libxmp.3

# fix rights
chmod 755 %{buildroot}%{_libdir}/libxmp.so.*

%files -n %{libname}
%{_libdir}/libxmp.so.%{major}
%{_libdir}/libxmp.so.%{major}.*

%files -n %{devname}
%{_includedir}/xmp.h
%{_libdir}/libxmp.so
%{_libdir}/pkgconfig/libxmp.pc
%{_mandir}/man3/libxmp.3.*


%changelog
* Wed Aug 02 2023 tex - 4.5.0-3pclos2023
- rebuild against updates

* Wed Jan 26 2022 tex - 4.5.0-2pclos2022
- rebuild against updates

* Sun Jun 20 2021 tex - 4.5.0-1pclos2021
- new version 4.5.0
